Subject: Re: [v6ops] Errata 2735 for RFC4291

From: Doug Barton <[email-masked]>
Date: Thu, 03 Mar 2011 16:27:00 -0800

On 02/28/2011 12:43, Brian E Carpenter wrote:
> (Although the topic belongs to 6man I am replying
> here one last time for consistency.)
>
> On 2011-02-28 23:49, Richard Hartmann wrote:
>> (Seems I sent this email to Brian directly and not to the list.
>> Re-sending as is)
>>
>> On Fri, Feb 25, 2011 at 20:56, Brian E Carpenter
>> <[email-masked]>  wrote:
>>
>>> I don't believe there is an error in the RFC that is worth correcting.
>>> It is completely clear what it means by a 16 bit field.
>>
>> Is it clear because it's obvious to you or is it clear because it's
>> defined explicitly? Should RFCs depend on "well, I am pretty sure
>> that's what they meant" or "I know what they meant"?
>
> "   1. The preferred form is x:x:x:x:x:x:x:x, where the 'x's are one to
>        four hexadecimal digits of the eight 16-bit pieces of the address. "
>
> That is very clear to me about what it means by a 16-bit piece: there
> are 8 of them.
>
>>
>>
>> And to reduce email load in this thread, but break thread view:
>>
>> On 02/25/2011 11:56, Brian E Carpenter wrote:
>>
>>> Isn't 5952 clear enough on this issue?
>
> (Not me in fact, but never mind...)

Blame me. :)

>> Unfortunately not. You are free to start and end the sequence of zeros
>> wherever you please.
>
> The above sentence in 4291 makes it clear that the edge is a 16-bit
> boundary in each case.
>
> BTW, the ABNF discussed in RFC 5954 may interest you.
>
> However, you're correct: 5952 and 5954 are only about syntax. It is
> only 4291 that makes it clear that the : is always on a 16-bit
> boundary.

Brian's description of the situation matches my understanding as well. 
Particularly I think Section 2.2 of 5952 is clear that compression only 
applies to "one or more groups of 16 bits of zeros."

Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/

---

From: Erik Kline <[email-masked]>
Date: Fri, 4 Mar 2011 10:00:07 +0900

> applies to "one or more groups of 16 bits of zeros."

Of course parsers will still need to be liberal in what they accept.